com.streambase.liveview.client

## Enum LiveViewPermission.Type

- java.lang.Object
- - java.lang.Enum<LiveViewPermission.Type>
  - - com.streambase.liveview.client.LiveViewPermission.Type

- All Implemented Interfaces:
    Serializable, Comparable<LiveViewPermission.Type>
  Enclosing class:
    LiveViewPermission

      public static enum LiveViewPermission.Type
      extends Enum<LiveViewPermission.Type>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALERT`
    `ALERT_ACTION`
    `ALL`
    `CONNECT`
    `METADATA`
    `PUBLISHER`
    `QUERY`
    `SESSION`
    `SHUTDOWN`
    `STREAMBASEINFORMATION`
    `TABLE`
    `TUPLE`
    `WORKSPACE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()`
    `static LiveViewPermission.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static LiveViewPermission.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CONNECT

          public static final LiveViewPermission.Type CONNECT

    - #### SHUTDOWN

          public static final LiveViewPermission.Type SHUTDOWN

    - #### TABLE

          public static final LiveViewPermission.Type TABLE

    - #### TUPLE

          public static final LiveViewPermission.Type TUPLE

    - #### ALERT

          public static final LiveViewPermission.Type ALERT

    - #### ALERT_ACTION

          public static final LiveViewPermission.Type ALERT_ACTION

    - #### WORKSPACE

          public static final LiveViewPermission.Type WORKSPACE

    - #### SESSION

          public static final LiveViewPermission.Type SESSION

    - #### QUERY

          public static final LiveViewPermission.Type QUERY

    - #### PUBLISHER

          public static final LiveViewPermission.Type PUBLISHER

    - #### STREAMBASEINFORMATION

          public static final LiveViewPermission.Type STREAMBASEINFORMATION

    - #### METADATA

          public static final LiveViewPermission.Type METADATA

    - #### ALL

          public static final LiveViewPermission.Type ALL

  - ### Method Detail

    - #### values

          public static LiveViewPermission.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LiveViewPermission.Type c : LiveViewPermission.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LiveViewPermission.Type valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<LiveViewPermission.Type>`

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.